@ECHO OFF
REM
REM IBM Rational
REM
REM(c) Copyright IBM Corp. 2005, 2006, 2007, 2008  All Rights Reserved.
REM

REM
REM Installing the RMT to RQM Asset Migration
REM

SET rmt_install_folder=%IBM_RATIONAL_RMT_INSTALL_DIR%
SET rmt_shared_folder=%rmt_install_folder%\..\SDP70Shared

IF NOT DEFINED rmt_install_folder (
	echo "Check if RMT is installed"
	GOTO EOF
)

IF NOT EXIST "%rmt_install_folder%" (
	echo "Check if RMT is installed"
	GOTO EOF
)

IF NOT EXIST "%rmt_install_folder%\rtmt.exe" (
	echo "Check if RMT is installed"
	GOTO EOF
)

IF NOT EXIST "%rmt_install_folder%\rtmt.ini" (
	echo "Check if RMT is installed"
	GOTO EOF
)

REM
REM Copy the Application
REM

SET migration_dir=rmt2rqm

REM
REM Create the Migration Directory

REM
MKDIR "%rmt_install_folder%\%migration_dir%"

REM
REM Copy the configuration data
REM
REM XCOPY configuration "%rmt_install_folder%\%migration_dir%\configuration" /E /F /Y /I

REM
REM Copy the eclipse plugins / features
REM
XCOPY eclipse "%rmt_install_folder%\%migration_dir%\eclipse" /E /F /Y /I

REM
REM Prepare links
REM
IF NOT EXIST "%rmt_install_folder%\links" (
	MKDIR "%rmt_install_folder%\links"
)
ECHO path=%migration_dir% > "%rmt_install_folder%\links\%migration_dir%.link

REM
REM Prepare rmt2rqm.bat
REM
ECHO "%rmt_install_folder%\jdk\jre\bin\java.exe" -cp "%rmt_install_folder%\startup.jar" org.eclipse.core.launcher.Main -data "%userprofile%\%migration_dir%" -application com.ibm.rational.test.rmt2rqm.Rmt2RqmApplication -product Rmt2RqmProduct -nosplash %%* > "%rmt_install_folder%\rmt2rqm.bat"

:EOF